(*
    $Id: facts.mli,v 1.10 2008/11/28 11:09:57 rbornat Exp $

    Copyright (C) 2003-8 Richard Bornat & Bernard Sufrin
     
        richard@bornat.me.uk
        sufrin@comlab.ox.ac.uk

    This file is part of the jape proof engine, which is part of jape.

    Jape is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Jape is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with jape; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    (or look at http://www.gnu.org).

*)

open Proviso
open Cxttype
open Termtype
open Answer

type facts

val expandfacts : facts -> proviso list -> facts
val exterioreqvarsq : facts -> term -> term -> answer
val facts : visproviso list -> cxt -> facts
val knownNOTIN : facts -> term * term -> bool
val knownproofvar : facts -> term -> bool
val substeqvarsq : facts -> term -> term -> answer
val unifyeqtermsq : facts -> term -> term -> answer

val factsdebug : bool ref

val string_of_facts : facts -> string

